
QGIS Application - Bug report #3802

QGIS crashes using some options of new labelling tool

2011-05-05 03:33 PM - aperi2007 -

Status: Closed

Priority: High

Assignee: Martin Dobias

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 13860

Description

QGIS (version 15861M) crash always with this sequence of commands.

On windows 7.

1. Load shapefile "linee.shp" 

2. Load shapefile "suolo.shp"

3. using label-plugin set the "suolo.shp" to show the label on field 'id'

and choose option advanced: "label every part of multipart features" and 

chose also Placement->free option.

click on ok and close plugin.

4. using the label-plugin set the "linee.shp" to show the label on field 'id'

and choose advanced: "label every part of multipart features"

click on ok and close plugin

after the click the qgis crash...

I add the two shapefile as samples, but this happened with every couple of shapefiles.

Andrea.

History

#1 - 2011-10-07 05:17 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Subject changed from qgis crash using some option of labels-plugin to (Windows) QGIS crashes using some options of new labelling tool

- Assignee changed from Marco Hugentobler to Martin Dobias

- Target version deleted (Version 1.7.0)

- Must fix deleted (No)

I tested qgis-trunk on both Ubuntu Linux and Windows 7 and the issue it seems to be a Windows only one.

It is not necessary to add the line layer and label it to replicate the issue, QGIS crashes also with just the polygon layer (with the labels and the settings as

described) after doing a simple pan or zoom operation.
#2 - 2011-12-16 09:45 AM - Paolo Cavallini

- Category changed from Symbology to Labelling

Still true?

#3 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2011-12-23 07:46 AM - Giovanni Manghi

- Priority changed from Low to 6

- Status info deleted (0)

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to Yes

It is not necessary to add the line layer and label it to replicate the issue, QGIS crashes also with just the polygon layer (with the labels and the

settings as described) after doing a simple pan or zoom operation.

still true on qgis-master or 1.7.3 osgeo4w

#5 - 2011-12-23 07:47 AM - Giovanni Manghi

Does not crash under qgis-master/Ubuntu.

#6 - 2011-12-23 09:12 AM - Giovanni Manghi

- Subject changed from (Windows) QGIS crashes using some options of new labelling tool to [Windows] QGIS crashes using some options of new 

labelling tool

- OS version deleted (7)

#7 - 2012-02-15 03:04 AM - Giovanni Manghi

still true on qgis-master or 1.7.3 osgeo4w

still true on both and just on Windows

#8 - 2012-04-15 08:46 AM - Giovanni Manghi

- Priority changed from 6 to High

#9 - 2012-04-16 06:27 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#10 - 2012-04-20 02:53 AM - aperi2007 -

I tested on qgis-dev E5D97F5.

The crash seem disappeared.

Is confirmed ?
( I add another information.

The test was do on windows XP 32bit.)

#11 - 2012-04-20 04:12 AM - Giovanni Manghi

aperi2007 - wrote:

I tested on qgis-dev E5D97F5.

The crash seem disappeared.

Is confirmed ?

still crashes here.

#12 - 2012-04-22 05:10 AM - aperi2007 -

I tested it on windows 7 64 bit.

It crash !

Instead seem that the crash don't happen on windows xp 32bit.

It is a specific crash for windows 7 (I don't know if it crash on 32bit version).

#13 - 2012-04-22 05:32 AM - Giovanni Manghi

aperi2007 - wrote:

(I don't know if it crash on 32bit version).

it does

#14 - 2012-04-22 05:49 AM - Jürgen Fischer

- Subject changed from [Windows] QGIS crashes using some options of new labelling tool to QGIS crashes using some options of new labelling tool

#15 - 2012-05-30 06:04 AM - Giovanni Manghi

Giovanni Manghi wrote:

aperi2007 - wrote:

(I don't know if it crash on 32bit version).

it does

still confirmed with the lastet master

#16 - 2012-09-04 12:01 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#17 - 2012-09-15 11:56 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed

With the latest changes in labelling code this seems fixed.

Files

shapefile-samples.zip 3.01 KB 2011-05-05 aperi2007 -
